<?php

namespace App\ViewModels\Dashboard\DashboardMedicoViewModel;

use App\Utils\Entity;

class DashboardMedicoViewModel extends Entity {
	protected $id_agendamento;
	protected $id_consulta;
	protected $tipo_procedimento;
	protected $id_tipo_procedimento;
	protected $id_procedimento;
	protected $id_requisicao;
	protected $procedimento;
	protected $nome;
	protected $telefone_1;
	protected $data;
	protected $hora_inicio;
	protected $hora_final;
	protected $atrasado;
	protected $paciente_id;
	protected $id_pet;
	protected $nome_pet;
	protected $id_cliente;
	protected $status_sala;



	public static function builder(): DashboardMedicoViewModelBuilder {

		return new DashboardMedicoViewModelBuilder();

	}

    public function getStatusSala()
    {
        return $this->status_sala;
    }

    public function setStatusSala($status_sala): void
    {
        $this->status_sala = $status_sala;
    }

	/**
	 *
	 * @return mixed
	 */
	public function getIdCliente(): int {

		return $this->id_cliente;

	}

	/**
	 *
	 * @param mixed $id_cliente
	 */
	public function setIdCliente(int $id_cliente): void {

		$this->id_cliente = $id_cliente;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdRequisicao(): int {

		return $this->id_requisicao;

	}

	/**
	 *
	 * @param mixed $id_requisicao
	 */
	public function setIdRequisicao(int $id_requisicao): void {

		$this->id_requisicao = $id_requisicao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdPet() {

		return $this->id_pet;

	}

	/**
	 *
	 * @param mixed $id_pet
	 */
	public function setIdPet($id_pet): void {

		$this->id_pet = $id_pet;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getNomePet() {

		return $this->nome_pet;

	}

	/**
	 *
	 * @param mixed $nome_pet
	 */
	public function setNomePet($nome_pet): void {

		$this->nome_pet = $nome_pet;

	}

	public function getIdAgendamento(): int {

		return $this->id_agendamento;

	}

	public function getIdConsulta(): ?int {

		return $this->id_consulta;

	}

	public function getIdTipoProcedimento(): int {

		return $this->id_tipo_procedimento;

	}

	public function getTipoProcedimento(): string {

		return $this->tipo_procedimento;

	}

	public function getProcedimento(): string {

		return $this->procedimento;

	}

	public function getNome(): string {

		return $this->nome;

	}

	public function getTelefone1(): string {

		return $this->telefone_1;

	}

	public function getData(): string {

		return $this->data;

	}

	public function getHoraInicio(): string {

		return $this->hora_inicio;

	}

	public function getHoraFinal(): string {

		return $this->hora_final;

	}

	public function getAtrasado(): int {

		return $this->atrasado;

	}

	public function setIdAgendamento(int $id_agendamento): void {

		$this->id_agendamento = $id_agendamento;

	}

	public function setIdConsulta(?int $id_consulta): void {

		$this->id_consulta = $id_consulta;

	}

	public function setTipoProcedimento(string $tipo_procedimento): void {

		$this->tipo_procedimento = $tipo_procedimento;

	}

	public function setProcedimento(string $procedimento): void {

		$this->procedimento = $procedimento;

	}

	public function setNome(string $nome): void {

		$this->nome = $nome;

	}

	public function setTelefone1(string $telefone_1): void {

		$this->telefone_1 = $telefone_1;

	}

	public function setData(string $data): void {

		$this->data = $data;

	}

	public function setHoraInicio(string $hora_inicio): void {

		$this->hora_inicio = $hora_inicio;

	}

	public function setHoraFinal(string $hora_final): void {

		$this->hora_final = $hora_final;

	}

	public function setAtrasado(int $atrasado): void {

		$this->atrasado = $atrasado;

	}

	public function setIdTipoProcedimento(int $id_tipo_procedimento): void {

		$this->id_tipo_procedimento = $id_tipo_procedimento;

	}

	public function setPacienteId(int $paciente_id): void {

		$this->paciente_id = $paciente_id;

	}

	public function getPacienteId(): int {

		return $this->paciente_id;

	}

	public function getIdProcedimento() {

		return $this->id_procedimento;

	}

	public function setIdProcedimento($id_procedimento): void {

		$this->id_procedimento = $id_procedimento;

	}

}